Community
Civil 3D Forum
Welcome to Autodesk’s Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Can somebody modify lisp for me

1 REPLY 1
Reply
Message 1 of 2
jmangat
281 Views, 1 Reply

Can somebody modify lisp for me

;| ALPO.lsp -- ALign POints
copies and aligns a set of user-selected points to locations on
a selected target object perpendicular to their original locations.

If a polyline, 3Dsolid, or other multi-segment target is selected,
the new points will be perpendicular to the segment picked, not
necessarily the nearest segment.

Points maintain Z-coordinate in current UCS regardless of Z-coordinate
of alignment target.
|;


(defun c:ALPO ( / en ed pickpoint ss n loc)
(command "._undo" "_begin")
(setq en (entsel "\nSelect alignment target (line, polyline, etc.): "))
(setq pickpoint (cadr en))
(prompt "\nSelect points to be aligned: ")
(setq ss (ssget '((0 . "POINT"))))
(if ss
(progn
(setq n 0)
(while (< n (sslength ss))
(setq en (ssname ss n))
(setq ed (entget en))
(setq loc (trans (cdr (assoc 10 ed)) 0 1))
(command "._copy" en "" loc ".xy" "per" pickpoint "@")
(setq n (1+ n))
);while

);progn
(prompt "\nNo points selected.")
)
(command "._undo" "_end")
)

(princ "ALignPOints loaded. Type ALPO to run.")
(princ)

 

 

 

I have this lisp which help move points prependicular on line

can some one modify this lisp so that i can move cogo points (civil3d points) in similar way

Thanks

1 REPLY 1
Message 2 of 2
andrewpuller3811
in reply to: jmangat

You would do better posting this in the civil 3d customisation forum here http://forums.autodesk.com/t5/AutoCAD-Civil-3D-Customization/bd-p/190


If a post provides a fix for your issue, click on "Accept as Solution" to help other users find solutions to problems they might have that are similar to yours.

Andrew Puller
Maitland, NSW, Australia
Windows 10 Enterprise 64bit
Intel core i7 11800 @ 2.30 GHz with 32GB Ram
Civil 3d 2021

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


 

Autodesk Design & Make Report